<script lang="ts">
	import { goto } from '$app/navigation';
	import { scrollY } from '../../utils/store';
	import { routeToPage } from '../../utils/utils';

	export let imgUrl: string = '';
	export let title: string = '';
	export let linkTo: string = '';
</script>

<div class="flex flex-col w-full items-center justify-center">
	<button
		class="w-10/12 md:2/3 p-4 bg-gris-2 rounded-lg"
		on:click={() => {
			scrollY.update((_) => 0);
			routeToPage('/produit/' + linkTo);
		}}
	>
		<div class="border border-primary-800 rounded-lg">
			<div class=" h-full w-full flex items-center justify-center">
				<img
					alt="Service à la carte"
					src={imgUrl}
					decoding="async"
					data-nimg="fill"
					class="rounded-lg hover:opacity-70 transition-all duration-500 cursor-pointer"
				/>
			</div>
		</div>
		<div class=" text-white font-rufina font-medium mt-2">
			{title}
		</div>
	</button>
</div>
